package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CancelOrderRequest extends Base {

    /**
     * 我方订单号（与 originId 互斥必填）
     */
    private Integer orderId;

    /**
     * 你方订单号（与 orderId 互斥必填）
     */
    private String originId;

    /**
     * 取消原因代码
     */
    private Integer cancelReasonCode;

    /**
     * 取消原因描述（限制50字以内）
     */
    private String cancelReason;

}
